XSFacets (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Class XSFacets

    java.lang.Object
      org.apache.xerces.impl.dv.XSFacets

    public class XSFacets

extends java.lang.Object

The class used to pass all facets to `XSSimpleType.applyFacets(org.apache.xerces.impl.dv.XSFacets, short, short, org.apache.xerces.impl.dv.ValidationContext)`.

Version:
  $Id: XSFacets.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`org.apache.xerces.xs.XSObjectList` | `enumAnnotations`
`java.util.Vector` | `enumeration` Vector containing values of Enumeration facet, as String's.
`java.util.Vector` | `enumNSDecls` An array parallel to "Vector enumeration".
`int` | `fractionDigits` value of fractionDigits facet.
`org.apache.xerces.xs.XSAnnotation` | `fractionDigitsAnnotation`
`int` | `length` value of length facet.
`org.apache.xerces.xs.XSAnnotation` | `lengthAnnotation`
`java.lang.String` | `maxExclusive` value of maxExclusive facet.
`org.apache.xerces.xs.XSAnnotation` | `maxExclusiveAnnotation`
`java.lang.String` | `maxInclusive` value of maxInclusive facet.
`org.apache.xerces.xs.XSAnnotation` | `maxInclusiveAnnotation`
`int` | `maxLength` value of maxLength facet.
`org.apache.xerces.xs.XSAnnotation` | `maxLengthAnnotation`
`java.lang.String` | `minExclusive` value of minExclusive facet.
`org.apache.xerces.xs.XSAnnotation` | `minExclusiveAnnotation`
`java.lang.String` | `minInclusive` value of minInclusive facet.
`org.apache.xerces.xs.XSAnnotation` | `minInclusiveAnnotation`
`int` | `minLength` value of minLength facet.
`org.apache.xerces.xs.XSAnnotation` | `minLengthAnnotation`
`java.lang.String` | `pattern` string containing value of pattern facet, for multiple patterns values are ORed together.
`XSObjectListImpl` | `patternAnnotations`
`int` | `totalDigits` value of totalDigits facet.
`org.apache.xerces.xs.XSAnnotation` | `totalDigitsAnnotation`
`short` | `whiteSpace` value of whiteSpace facet.
`org.apache.xerces.xs.XSAnnotation` | `whiteSpaceAnnotation`

Constructor Summary
`XSFacets()`

Method Summary
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### length

    public int length

  value of length facet.

### minLength

    public int minLength

  value of minLength facet.

### maxLength

    public int maxLength

  value of maxLength facet.

### whiteSpace

    public short whiteSpace

  value of whiteSpace facet.

### totalDigits

    public int totalDigits

  value of totalDigits facet.

### fractionDigits

    public int fractionDigits

  value of fractionDigits facet.

### pattern

    public java.lang.String pattern

  string containing value of pattern facet, for multiple patterns values are ORed together.

### enumeration

    public java.util.Vector enumeration

  Vector containing values of Enumeration facet, as String's.

### enumNSDecls

    public java.util.Vector enumNSDecls

  An array parallel to "Vector enumeration". It contains namespace context of each enumeration value. Elements of this vector are NamespaceContext objects.

### maxInclusive

    public java.lang.String maxInclusive

  value of maxInclusive facet.

### maxExclusive

    public java.lang.String maxExclusive

  value of maxExclusive facet.

### minInclusive

    public java.lang.String minInclusive

  value of minInclusive facet.

### minExclusive

    public java.lang.String minExclusive

  value of minExclusive facet.

### lengthAnnotation

    public org.apache.xerces.xs.XSAnnotation lengthAnnotation

### minLengthAnnotation

    public org.apache.xerces.xs.XSAnnotation minLengthAnnotation

### maxLengthAnnotation

    public org.apache.xerces.xs.XSAnnotation maxLengthAnnotation

### whiteSpaceAnnotation

    public org.apache.xerces.xs.XSAnnotation whiteSpaceAnnotation

### totalDigitsAnnotation

    public org.apache.xerces.xs.XSAnnotation totalDigitsAnnotation

### fractionDigitsAnnotation

    public org.apache.xerces.xs.XSAnnotation fractionDigitsAnnotation

### patternAnnotations

    public XSObjectListImpl patternAnnotations

### enumAnnotations

    public org.apache.xerces.xs.XSObjectList enumAnnotations

### maxInclusiveAnnotation

    public org.apache.xerces.xs.XSAnnotation maxInclusiveAnnotation

### maxExclusiveAnnotation

    public org.apache.xerces.xs.XSAnnotation maxExclusiveAnnotation

### minInclusiveAnnotation

    public org.apache.xerces.xs.XSAnnotation minInclusiveAnnotation

### minExclusiveAnnotation

    public org.apache.xerces.xs.XSAnnotation minExclusiveAnnotation

Constructor Detail

### XSFacets

    public XSFacets()

Method Detail

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.